#!/bin/sh

PROGRAM_NAME=pgutil
FACE_NAME=main_exe
PKG_PATH=/usr/local/AppCentral/photogallery
PKG_ETC_DIR="$APKG_PKG_DIR/etc"
PGUTIL_PATH=$PKG_PATH/bin/$PROGRAM_NAME
FACE_SYSTEM=$PKG_PATH/face/$FACE_NAME.7z
FACE_DEST=/volume1/.@content/
FACE_VERSION_FILE=$FACE_DEST/face_system_ver
FACE_OLD_VERSION=0
[ -f "$FACE_VERSION_FILE" ] && FACE_OLD_VERSION=`cat $FACE_VERSION_FILE`
FACE_NEW_VERSION=`cat "$PKG_PATH/face/version.txt"`

case "$APKG_PKG_STATUS" in
        install)
                # batch folder photogallery
                $PGUTIL_PATH init
                ;;
        upgrade)
                cp -af $APKG_TEMP_DIR/* $PKG_ETC_DIR
                $PGUTIL_PATH upgrade
                rm $PKG_PATH/etc/autoupload/*
                ;;
        *)
                ;;
esac

exit 0
